org.jbpm.weaver

## Class AbstractWeaverService

- java.lang.Object
- - org.jbpm.weaver.AbstractWeaverService

- All Implemented Interfaces:
    org.kie.api.internal.utils.KieService, org.kie.api.internal.weaver.KieWeaverService<org.drools.core.definitions.ProcessPackage>, org.kie.api.Service
  Direct Known Subclasses:
    BPMN2WeaverService, DRFWeaverService

      public abstract class AbstractWeaverService
      extends Object
      implements org.kie.api.internal.weaver.KieWeaverService<org.drools.core.definitions.ProcessPackage>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractWeaverService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `merge(org.kie.api.KieBase kieBase, org.kie.api.definition.KiePackage kiePkg, org.drools.core.definitions.ProcessPackage processPkg)`
    `void` | `weave(org.kie.api.KieBase kieBase, org.kie.api.definition.KiePackage kiePackage, org.drools.core.definitions.ProcessPackage processPackage)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.internal.weaver.KieWeaverService

      `getResourceType`

- - ### Constructor Detail

    - #### AbstractWeaverService

          public AbstractWeaverService()

  - ### Method Detail

    - #### merge

          public void merge(org.kie.api.KieBase kieBase,
                            org.kie.api.definition.KiePackage kiePkg,
                            org.drools.core.definitions.ProcessPackage processPkg)

      Specified by:
        `merge` in interface `org.kie.api.internal.weaver.KieWeaverService<org.drools.core.definitions.ProcessPackage>`

    - #### weave

          public void weave(org.kie.api.KieBase kieBase,
                            org.kie.api.definition.KiePackage kiePackage,
                            org.drools.core.definitions.ProcessPackage processPackage)

      Specified by:
        `weave` in interface `org.kie.api.internal.weaver.KieWeaverService<org.drools.core.definitions.ProcessPackage>`

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.